# -*- coding:Utf-8 -*-

import es
import gamethread
import msglib
import langlib
import playerlib
import os
import psyco
psyco.full()

info = es.AddonInfo()
info.name = "redirectlib"
info.version = "1.0"
info.author = "EmbouT"
info.url = "http://mattie.info/forums/"
info.description = "Provided a method to redirect a player on another server. Take care password "


# *** TOTAL VARIABLE ***

# * Time of billing failing a proposal of redirection (can be decimal)
default_delay = 15
# * Action by default if the player does not accept proposal in allowed time 0 = no kick / 1 = kick (recommended)
default_kick = 1

# *** CLASS ***

	
Redirect class (object):
     def __init__ (self, ip, password ='', kick = 1, delay = float (defaut_delay)):
         if str (deadline )=='': delay = float (default_delay)
         if str (kick )=='': kick = defaut_kick
         try:
             self.time = float (deadline)
             if not int (self.time): self.time = float (defaut_delay)
         except ValueError:
             es.dbgmsg (0, '[redirectlib] period (% s) must be an'% delay)
             es.dbgmsg (0, '[redirectlib] delay is set to the default:% s'% defaut_delay)
             self.time = float (defaut_delay)
         try:
             self.kick = int (kick)
         except ValueError:
             es.dbgmsg (0, '[redirectlib] kick (% s) must be 1 or 0'% kick)
             es.dbgmsg (0, '[redirectlib] kick is set to the default:% s'% defaut_kick)
             self.kick = defaut_kick
         if not str (password )=='':
             self.server = str (ip) + '; password' + str (password)
         Else:
             self.server = str (ip)


     def send (self, userid):
         If userid:
             if not es.exists ( 'userid' userid):
                 es.dbgmsg (0, "[redirectlib]% s not a valid userid!" userid%)
             Else:
                 msglib.VguiDialog (title = self.server, time = self.time, mode = msglib.VguiMode.ASKCONNECT). send (userid)
                 If self.kick:
                     gamethread.delayedname (self.time, 'redirectlibkick% s'% userid, kickplayer, (self.server, userid))

def kickplayer (ip, userid):
     es.server.queuecmd ( '% s kickid "Please enter \' connect% s \ 'in your console"'% (userid, ip))


def player_disconnect (event_var):
     gamethread.cancelDelayed ( 'redirectlibkick% s'% event_var [' userid '])

