# -*- coding:Utf-8 -*-

import es
from redirectlib import Redirect
import psyco
psyco.full()

info = es.AddonInfo()
info.name = "redirect"
info.version = "1.0"
info.author = "EmbouT"
info.url = "http://mattie.info/forums/"
info.description = "Provided a command to redirect a player on another server. Password assumed"



def load():
    if not es.exists('command','redirect'):
        es.regcmd('redirect','redirect_cmd','Command to redirect a player on another server. Syntax : redirect <userid/"name of the player"/"Steam ID"> <"ip:port"> ["password"] [kick] [delai]')


def redirect_cmd():
    argc = es.getargc()
    if argc in (3,4,5,6):
        player=es.getargv(1)
        userid=es.getuserid(player)
        if userid:
            server=es.getargv(2)
            password=''
            kick='0'
            delay=''
            if argc>3:
                password = es.getargv(3)
                if argc>4:
                    kick=es.getargv(4)
                    if argc==6:
                        delay=es.getargv(5)
            Redirect(server,password,kick,delay).send(userid)
        else:
            es.dbgmsg(0,'[redirect] Error : player "%s" not found'%player)
    else:
        es.dbgmsg(0,'[redirect] Error of syntax !!')
        es.dbgmsg(0,'[redirect] Syntax : redirect <userid/"name of the player"/"Steam ID"> <"ip:port"> ["password"] [kick] [delay]')





